<template>
    <div
        v-if="shop"
        class="row"
    >
        <div class="col-lg-4">
            <div class="tab-container">
                <div class="tab-header">
                    <div class="card-title-container">
                        <svg
                            width="17"
                            style="vertical-align: -1px"
                            class="my-icon"
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 21 16"
                        >
                            <path
                                id="Email"
                                d="M0,.007v16h21v-16ZM2.1,13.874V5.281l8.4,7.5,8.4-7.494v8.583ZM18.9,2.451l-8.4,7.495L2.1,2.44v-.3H18.9Z"
                                transform="translate(-0.005 -0.007)"
                            />
                        </svg>
                        <div class="my-card-title">
                            Abandoned Cart Emails
                        </div>
                    </div>
                    <div>
                        <div
                            class="panel-heading-status"
                            :class="{'success' : mail.emailRemindersStatus}"
                        />
                    </div>
                </div>
                <div
                    v-if="mail.emailRemindersStatus"
                    class="content-container"
                >
                    <div class="sales-container">
                        <div class="card-count">
                            {{ getCurrencySign.symbol_native }}{{ $formatter.fixedNumber(mail.emailRemindersSales) }}
                        </div>
                        <div class="card-title">
                            Sales
                        </div>
                    </div>
                    <div class="card-info-container">
                        <div class="card-count">
                            {{ mail.emailRemindersStatus }}
                        </div>
                        <div class="card-title">
                            Active reminders
                        </div>
                    </div>
                </div>
                <div
                    v-else
                    class="no-content-container"
                >
                    <div>
                        <router-link
                            to="/email/abandoned-carts"
                            class="btn get-started-btn"
                        >
                            Get Started
                        </router-link>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4">
            <div class="tab-container">
                <div class="tab-header">
                    <div class="card-title-container">
                        <svg
                            width="17"
                            style="vertical-align: -1px"
                            class="my-icon"
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 21 16"
                        >
                            <path
                                id="Email"
                                d="M0,.007v16h21v-16ZM2.1,13.874V5.281l8.4,7.5,8.4-7.494v8.583ZM18.9,2.451l-8.4,7.495L2.1,2.44v-.3H18.9Z"
                                transform="translate(-0.005 -0.007)"
                            />
                        </svg>
                        <div class="my-card-title">
                            Email Campaigns
                        </div>
                    </div>
                    <div>
                        <div
                            class="panel-heading-status"
                            :class="{'success' : mail.emailCampaignsCount}"
                        />
                    </div>
                </div>
                <div
                    v-if="mail.emailCampaignsCount"
                    class="content-container"
                >
                    <div class="sales-container">
                        <div class="card-count">
                            {{ getCurrencySign.symbol_native }}{{ $formatter.fixedNumber(mail.emailCampaignsSales) }}
                        </div>
                        <div class="card-title">
                            Sales
                        </div>
                    </div>
                    <div class="card-info-container">
                        <div class="card-count">
                            {{ mail.emailCampaignsCount }}
                        </div>
                        <div class="card-title">
                            Campaigns sent
                        </div>
                    </div>
                </div>
                <div
                    v-else
                    class="no-content-container"
                >
                    <div>
                        <router-link
                            to="/email/campaigns"
                            class="btn get-started-btn"
                        >
                            Get Started
                        </router-link>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4">
            <div class="tab-container">
                <div class="tab-header">
                    <div class="card-title-container">
                        <svg
                            width="17"
                            style="vertical-align: -1px"
                            class="my-icon"
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 21 16"
                        >
                            <path
                                id="Email"
                                d="M0,.007v16h21v-16ZM2.1,13.874V5.281l8.4,7.5,8.4-7.494v8.583ZM18.9,2.451l-8.4,7.495L2.1,2.44v-.3H18.9Z"
                                transform="translate(-0.005 -0.007)"
                            />
                        </svg>
                        <div class="my-card-title">
                            Browse Abandonment
                        </div>
                    </div>
                    <div>
                        <div
                            class="panel-heading-status"
                            :class="{'success' : mail.emailViewedProductsStatus}"
                        />
                    </div>
                </div>
                <div
                    v-if="mail.emailViewedProductsStatus"
                    class="content-container"
                >
                    <div class="sales-container">
                        <div class="card-count">
                            {{ getCurrencySign.symbol_native }}{{ $formatter.fixedNumber(mail.emailViewedProductsSales) }}
                        </div>
                        <div class="card-title">
                            Sales
                        </div>
                    </div>
                    <div class="card-info-container">
                        <div class="card-count">
                            {{ mail.emailViewedProductsStatus }}
                        </div>
                        <div class="card-title">
                            Active reminders
                        </div>
                    </div>
                </div>
                <div
                    v-else
                    class="no-content-container"
                >
                    <div>
                        <router-link
                            to="/email/browse-abandonment"
                            class="btn get-started-btn"
                        >
                            Get Started
                        </router-link>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import currencies from '../../../data/currencies.json'
import shop from '../../../mixins/shop.service'

export default {
    name: "EmailTab",
    mixins: [shop],
    props: ['mail'],
    data() {
        return {
            shop: null,
            currencies: currencies
        }
    },
    computed: {
        getCurrencySign() {
            if (!this.currencies)
                return {
                    symbol: this.shop.payment_currency
                };
            return this.currencies[this.shop.payment_currency];
        }
    },
    created() {
        this.loadShop()
    },
    methods: {
        async loadShop() {
            this.shop = await this.getShop()
        }

    }
}
</script>

<style scoped lang="scss">

.tab-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid #DFE6F2;
    padding: 15px 20px;

}

.no-content-container {
    display: flex;
    align-items: center;
    justify-content: space-around;
    min-height: 105px;
}

.my-icon {
    font-size: 17px;
    margin-right: 8px;
    color: black;
}

.content-container {
    padding: 20px 0;
    display: flex;
    justify-content: space-around;
}

.sales-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-info-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}


.card-count {
    font-size: 24px;
    font-weight: 900;
    color: #4786FF;
}

.card-title {
    color: #A8B2C4;
    font-size: 12px;
}

.card-title-container {
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: 600;
}

.tab-container {
    background: white;
    margin-bottom: 30px;
    -webkit-box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    border-radius: 5px;
}

.panel-heading-status {
    width: 8px;
    border: 1px solid #C8D0DE;
    height: 8px;
    border-radius: 50%;
}

.success {
    border: 1px solid #2BB300 !important;
}

.my-card-title {
    margin-left: 5px;
}

</style>
